Page MenuHomePhabricator

Fatal error: Using $this when not in object context in SpecialUpload.php on line 686
Closed, ResolvedPublic

Description

Fatal error: Using $this when not in object context in /usr/local/apache/common-local/php-1.22wmf13/includes/specials/SpecialUpload.php on line 686

/**

  • Construct a warning and a gallery from an array of duplicate files.
  • @param $dupes array
  • @return string
	 */

public static function getDupeWarning( $dupes ) {

		if ( !$dupes ) {
			return '';
		}

		$gallery = ImageGalleryBase::factory();
		$gallery->setContext( $this->getContext() );
		$gallery->setShowBytes( false );
		foreach ( $dupes as $file ) {
			$gallery->add( $file->getTitle() );
		}
		return '<li>' .
			wfMessage( 'file-exists-duplicate' )->numParams( count( $dupes ) )->parse() .
			$gallery->toHtml() . "</li>\n";

}


Version: 1.22.0
Severity: normal

Details

Reference
bz53065

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:00 AM
bzimport set Reference to bz53065.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Aug 19 2013, 7:19 PM

Change 79850 had a related patch set uploaded by Reedy:
Fatal error: Using $this when not in object context in SpecialUpload.php on line 686

https://gerrit.wikimedia.org/r/79850

Change 79851 had a related patch set uploaded by Reedy:
Fatal error: Using $this when not in object context in SpecialUpload.php on line 686

https://gerrit.wikimedia.org/r/79851

Change 79851 merged by jenkins-bot:
Fatal error: Using $this when not in object context in SpecialUpload.php on line 686

https://gerrit.wikimedia.org/r/79851

Change 79850 merged by jenkins-bot:
Fatal error: Using $this when not in object context in SpecialUpload.php on line 686

https://gerrit.wikimedia.org/r/79850

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:21 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:22 AM